Community discussions

 
itsmorefun
just joined
Topic Author
Posts: 7
Joined: Mon Jul 29, 2013 11:46 pm

Building recent openwrt metarouter image with 3.x kernel

Tue Jul 30, 2013 1:13 pm

Hello,

I want to compile a recent openwrt image. (with kernel 3.x).

Mikrotik patch is too old and apply only to 2.6 kernel.

Can a compile a fonctional openwrt metarouter image without patch if i select "Target System (Atheros AR7xxx/AR9xxx)" and "Subtarget (Devices with NAND flash (mostly Mikrotik))" ?

After compiling, i get:
ls bin/ar71xx/
md5sums
openwrt-ar71xx-nand-root.squashfs
openwrt-ar71xx-nand-vmlinux.elf
openwrt-ar71xx-nand-rootfs.tar.gz
openwrt-ar71xx-nand-root.squashfs-64k
openwrt-ar71xx-nand-vmlinux.gz
openwrt-ar71xx-nand-root.jffs2-128k
openwrt-ar71xx-nand-uImage-gzip.bin
openwrt-ar71xx-nand-vmlinux.lzma
openwrt-ar71xx-nand-root.jffs2-256k
openwrt-ar71xx-nand-uImage-lzma.bin
openwrt-ar71xx-nand-vmlinux-lzma.elf
openwrt-ar71xx-nand-root.jffs2-64k
openwrt-ar71xx-nand-vmlinux.bin
packages

I have try to:
tar xvzf openwrt-ar71xx-nand-rootfs.tar.gz
mv openwrt-ar71xx-nand-vmlinux.elf kernel
chmod +x kernel
mv kernel openwrt-ar71xx-nand-rootfs/
tar cvzf openwrt-ar71xx-nand-rootfs.tgz openwrt-ar71xx-nand-rootfs/

But metarouter don't boot :-(


Can i compile a recent openwrt image. (with kernel 3.x) or i absolutely need a new mikrotik patch like http://www.mikrotik.com/download/metaro ... -1.2.patch with support 3.x kernel?

Very thank in advance.
Gael

Who is online

Users browsing this forum: No registered users and 4 guests